<template>
  <div
    class="stepLabel"
    :style="{'color': active && activeColor}">
    <slot></slot>
  </div>
</template>

<script>
  export default {
    name: "StepLabel",
    props: {
      active: {
        type: Boolean,
        default: false
      },
      activeColor: {
        type: String,
        default: '#36d253'
      }
    }
  }
</script>
<style
  lang="scss"
  scoped>
  .stepLabel {
    position: absolute;
    left: 20px;
    top: 50%;
    transform: translateY(-50%);
    font-weight: bold;
    font-size: 1.525rem;
    color: #505b71;
  }
</style>
